


#include "meegointerfaces-enumtypes.h"

#include "meegoh264encoder.h" 
#include "meegovideorenderswitch.h" 
#include "meegovideotexture.h"

/* enumerations from "meegoh264encoder.h" */
GType
gst_meego_h264_encoder_profile_get_type (void)
{
  static volatile gsize g_define_type_id__volatile = 0;
  if (g_once_init_enter (&g_define_type_id__volatile)) {
    static const GEnumValue values[] = {
      { MEEGO_GST_H264_ENCODER_PROFILE_NONE, "MEEGO_GST_H264_ENCODER_PROFILE_NONE", "none" },
      { MEEGO_GST_H264_ENCODER_PROFILE_BASELINE, "MEEGO_GST_H264_ENCODER_PROFILE_BASELINE", "baseline" },
      { MEEGO_GST_H264_ENCODER_PROFILE_MAIN, "MEEGO_GST_H264_ENCODER_PROFILE_MAIN", "main" },
      { MEEGO_GST_H264_ENCODER_PROFILE_HIGH, "MEEGO_GST_H264_ENCODER_PROFILE_HIGH", "high" },
      { 0, NULL, NULL }
    };
    GType g_define_type_id = g_enum_register_static ("GstMeegoH264EncoderProfile", values);
    g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
  }
  return g_define_type_id__volatile;
}
GType
gst_meego_h264_encoder_intra_refresh_mode_get_type (void)
{
  static volatile gsize g_define_type_id__volatile = 0;
  if (g_once_init_enter (&g_define_type_id__volatile)) {
    static const GEnumValue values[] = {
      { MEEGO_GST_H264_ENCODER_INTRA_REFRESH_NONE, "MEEGO_GST_H264_ENCODER_INTRA_REFRESH_NONE", "none" },
      { MEEGO_GST_H264_ENCODER_INTRA_REFRESH_ADAPTATIVE, "MEEGO_GST_H264_ENCODER_INTRA_REFRESH_ADAPTATIVE", "adaptative" },
      { MEEGO_GST_H264_ENCODER_INTRA_REFRESH_CYCLIC, "MEEGO_GST_H264_ENCODER_INTRA_REFRESH_CYCLIC", "cyclic" },
      { MEEGO_GST_H264_ENCODER_INTRA_REFRESH_OTHER, "MEEGO_GST_H264_ENCODER_INTRA_REFRESH_OTHER", "other" },
      { 0, NULL, NULL }
    };
    GType g_define_type_id = g_enum_register_static ("GstMeegoH264EncoderIntraRefreshMode", values);
    g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
  }
  return g_define_type_id__volatile;
}
GType
gst_meego_h264_encoder_rate_control_mode_get_type (void)
{
  static volatile gsize g_define_type_id__volatile = 0;
  if (g_once_init_enter (&g_define_type_id__volatile)) {
    static const GEnumValue values[] = {
      { MEEGO_GST_H264_ENCODER_RATE_CONTROL_NONE, "MEEGO_GST_H264_ENCODER_RATE_CONTROL_NONE", "none" },
      { MEEGO_GST_H264_ENCODER_RATE_CONTROL_VARIABLE, "MEEGO_GST_H264_ENCODER_RATE_CONTROL_VARIABLE", "variable" },
      { MEEGO_GST_H264_ENCODER_RATE_CONTROL_CONSTANT, "MEEGO_GST_H264_ENCODER_RATE_CONTROL_CONSTANT", "constant" },
      { MEEGO_GST_H264_ENCODER_RATE_CONTROL_OTHER, "MEEGO_GST_H264_ENCODER_RATE_CONTROL_OTHER", "other" },
      { 0, NULL, NULL }
    };
    GType g_define_type_id = g_enum_register_static ("GstMeegoH264EncoderRateControlMode", values);
    g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);
  }
  return g_define_type_id__volatile;
}



